Summary:	Job spooling tools
Name:		at
Version:	3.2.5
Release:	%mkrel 2
License:	GPLv2
Group:		System/Servers
Source0:	http://software.calhariz.com/at/at_%{version}.orig.tar.gz
Url:		http://blog.calhariz.com/index.php/tag/at
Source1:        pam_atd
Source3:    atd.sysconf
Source5:    atd.systemd
Patch0:      at-3.2.5-address-sast.patch
Patch1:      at-aarch64.patch
Patch2:      at-3.2.5-make.patch
Patch3:      at-3.2.5-pam.patch
Patch4:      at-3.1.14-opt_V.patch
Patch5:      at-3.2.2-shell.patch 
Patch6:      at-3.2.5-nitpicks.patch
Patch7:      at-3.1.14-fix_no_export.patch
Patch8:      at-3.2.5-mailwithhostname.patch
Patch9:      at-3.2.5-aborted-jobs.patch
Patch10:      at-3.2.5-noabort.patch
Patch11:      at-3.1.16-fclose-error.patch
Patch12:      at-3.1.16-clear-nonjobs.patch
Patch13:      at-3.2.2-lock-locks.patch
Patch14:      at-3.1.23-document-n.patch
Patch15:      at-3.1.20-log-jobs.patch


Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Conflicts:	crontabs <= 1.5
Requires:	common-licenses
BuildRequires:	flex
BuildRequires:	python3
BuildRequires:	sendmail-command
BuildRequires:	bison
BuildRequires:	cronie
BuildRequires:  pam-devel
BuildRequires:  systemd-units

%description
At and batch read commands from standard input or from a specified file.
At allows you to specify that a command will be run at a particular time
(now or a specified time in the future).  Batch will execute commands
when the system load levels drop to a particular level.  Both commands
use /bin/sh to run the commands.

You should install the at package if you need a utility that will do
time-oriented job control.  Note: you should use crontab instead, if it is
a recurring job that will need to be repeated at the same time every
day/week/etc.

%prep
%setup -q
cp %{SOURCE1} .
%autopatch -p1
%build
autoreconf -vfi
%serverbuild
# uselles files
rm -f lex.yy.* y.tab.*

%configure --with-atspool=%{_localstatedir}/spool/at/spool \
    --with-jobdir=%{_localstatedir}/spool/at \
    --with-daemon_username=root  \
    --with-daemon_groupname=root \
    %{?with_pam:--with-pam}

make

%install
make install \
    DAEMON_USERNAME=`id -nu` \
    DAEMON_GROUPNAME=`id -ng` \
    DESTDIR=%{buildroot} \
    sbindir=%{_prefix}/sbin \
    bindir=%{_bindir} \
    datadir=%{_datadir} \
    prefix=%{_prefix} \
    exec_prefix=%{_prefix} \
    docdir=%{_prefix}/doc \
    mandir=%{_mandir} \
    etcdir=%{_sysconfdir} \
    ATJOB_DIR=%{_localstatedir}/spool/at \
    ATSPOOL_DIR=%{_localstatedir}/spool/at/spool \
    INSTALL_ROOT_USER=`id -nu` \
    INSTALL_ROOT_GROUP=`id -nu`;

echo > %{buildroot}%{_sysconfdir}/at.deny
mkdir docs
cp  %{buildroot}%{_prefix}/doc/at/* docs/

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/atd

mkdir -p %{buildroot}/etc/sysconfig
install -m 644 %{SOURCE3} %{buildroot}/etc/sysconfig/atd

# install systemd initscript
mkdir -p %{buildroot}/%{_unitdir}/
install -m 644 %{SOURCE5} %{buildroot}/%{_unitdir}/atd.service

# remove unpackaged files from the buildroot
rm -r  %{buildroot}%{_prefix}/doc

%post
touch /var/spool/at/.SEQ
chmod 660 /var/spool/at/.SEQ
chown daemon:daemon /var/spool/at/.SEQ

%_post_service atd

%preun
%_preun_service atd

%files
%doc ChangeLog Problems README Copyright timespec
%attr(0640,root,daemon) %config(noreplace) %{_sysconfdir}/at.deny
%config(noreplace) %{_sysconfdir}/sysconfig/atd
%{_sysconfdir}/pam.d/atd
%{_unitdir}/atd.service
%attr(0770,daemon,daemon) %dir /var/spool/at
%attr(0660,daemon,daemon) %verify(not md5 size mtime) %ghost /var/spool/at/.SEQ
%attr(0770,daemon,daemon) %dir /var/spool/at/spool
%{_sbindir}/atrun
%{_sbindir}/atd
%attr(6755,daemon,daemon) %{_bindir}/batch
%{_bindir}/atrm
%attr(6755,daemon,daemon) %{_bindir}/at
%{_bindir}/atq
%{_datadir}/at/batch-job
%{_mandir}/*/atrun.8*
%{_mandir}/*/atd.8*
%{_mandir}/*/at.1*
%{_mandir}/*/atq.1*
%{_mandir}/*/atrm.1*
%{_mandir}/*/batch.1*
%{_mandir}/*/at.allow.5*
%{_mandir}/*/at.deny.5*


%changelog
* Sun Aug 25 2024 wally <wally> 3.2.5-2.mga10
+ Revision: 2091218
- fix chown syntax in %%post scriptlet

* Sun Aug 25 2024 neoclust <neoclust> 3.2.5-1.mga10
+ Revision: 2091111
- New version 3.2.5

* Sun Mar 27 2022 umeabot <umeabot> 3.2.2-2.mga9
+ Revision: 1829482
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 3.2.2-1.mga9
+ Revision: 1739375
- 3.2.2
- rediff patches 4 and 11
- add patch from fedora to fix coverity scan issues

* Tue Feb 02 2021 daviddavid <daviddavid> 3.2.1-2.mga8
+ Revision: 1674424
- build dependency on python2 is not needed, let's change it for python3

* Thu Nov 19 2020 luigiwalser <luigiwalser> 3.2.1-1.mga8
+ Revision: 1647398
- 3.2.1
- update URLs

* Thu Jun 11 2020 joequant <joequant> 3.1.23-3.mga8
+ Revision: 1592502
- remove arm workaround

* Tue Feb 11 2020 umeabot <umeabot> 3.1.23-2.mga8
+ Revision: 1489155
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Sep 12 2018 shlomif <shlomif> 3.1.23-1.mga7
+ Revision: 1258651
- New version 3.1.23

* Mon Jun 04 2018 wally <wally> 3.1.20-2.mga7
+ Revision: 1234541
- add patch to properly fix empty debuginfo
- fix build on aarch64

* Wed Aug 10 2016 luigiwalser <luigiwalser> 3.1.20-1.mga6
+ Revision: 1045260
- 3.1.20

* Thu Dec 31 2015 luigiwalser <luigiwalser> 3.1.18-1.mga6
+ Revision: 917342
- 3.1.18

* Wed Sep 09 2015 neoclust <neoclust> 3.1.16-3.mga6
+ Revision: 875170
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 3.1.16-2.mga5
+ Revision: 739413
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 3.1.16-1.mga5
+ Revision: 737585
- 3.1.16

* Tue Sep 16 2014 umeabot <umeabot> 3.1.15-2.mga5
+ Revision: 678012
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 luigiwalser <luigiwalser> 3.1.15-1.mga5
+ Revision: 662882
- 3.1.15

* Sat Oct 19 2013 umeabot <umeabot> 3.1.14-2.mga4
+ Revision: 534345
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 luigiwalser <luigiwalser> 3.1.14-1.mga4
+ Revision: 477341
- 3.1.14
- rediff patch 10

* Fri Jan 11 2013 umeabot <umeabot> 3.1.13-6.mga3
+ Revision: 346503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 08 2012 guillomovitch <guillomovitch> 3.1.13-5.mga3
+ Revision: 279930
- drop sysinit support
- drop implicit build dependencies
- drop useless install-time dependencies

* Sat Apr 28 2012 tmb <tmb> 3.1.13-4.mga2
+ Revision: 233588
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 3.1.13-3.mga2
+ Revision: 233497
- rebuild for versioned rpm-helper requires

* Sun Jan 15 2012 dmorgan <dmorgan> 3.1.13-2.mga2
+ Revision: 196192
- Add systemd support ( from fedora )

* Mon Sep 05 2011 tv <tv> 3.1.13-1.mga2
+ Revision: 138917
- add missing LSB keywords
+ ze <ze>
- version 3.1.13
- update patch4
- avoid use both macros and variables,preferably use native macros

* Thu Apr 14 2011 ahmad <ahmad> 3.1.12-5.mga1
+ Revision: 85401
- replace BR vixie-cron with cronie

* Tue Feb 01 2011 pterjan <pterjan> 3.1.12-4.mga1
+ Revision: 45691
- Drop useless file dependency on /etc/init.d (it belongs to chkconfig which is also required)

* Tue Feb 01 2011 pterjan <pterjan> 3.1.12-3.mga1
+ Revision: 45511
- Have a better url
- imported package at


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.12-3mdv2011.0
+ Revision: 603475
- rebuild

* Mon Dec 07 2009 Pascal Terjan <pterjan@mandriva.org> 3.1.12-2mdv2010.1
+ Revision: 474425
- Fix parallel build

  + Funda Wang <fwang@mandriva.org>
    - use configure2_5x

* Mon Dec 07 2009 Olivier Thauvin <nanardon@mandriva.org> 3.1.12-1mdv2010.1
+ Revision: 474339
- 3.1.12

* Fri Nov 13 2009 Olivier Thauvin <nanardon@mandriva.org> 3.1.11-3mdv2010.1
+ Revision: 465896
- 3.1.11, remove merged patch

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.1.10.2-3mdv2010.0
+ Revision: 424370
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Sun Feb 22 2009 Olivier Thauvin <nanardon@mandriva.org> 3.1.10.2-1mdv2009.1
+ Revision: 344001
- 3.1.10.2

* Sat Dec 13 2008 Olivier Thauvin <nanardon@mandriva.org> 3.1.10.1-3mdv2009.1
+ Revision: 313901
- make the load under which batch job are launch configurable, default is now N CPUs - 0.2

* Mon Oct 27 2008 Olivier Thauvin <nanardon@mandriva.org> 3.1.10.1-2mdv2009.1
+ Revision: 297720
- use pam
- fix #45066: eg make at usuable again for non root users

* Fri Aug 15 2008 Olivier Thauvin <nanardon@mandriva.org> 3.1.10.1-1mdv2009.0
+ Revision: 272478
- 3.1.10.1

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.1.8-25mdv2009.0
+ Revision: 220463
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 3.1.8-24mdv2008.1
+ Revision: 148875
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 3.1.8-23mdv2008.0
+ Revision: 69909
- fileutils, sh-utils & textutils have been obsoleted by coreutils a long time ago

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 3.1.8-22mdv2008.0
+ Revision: 45082
- rebuild with new serverbuild macro (-fstack-protector-all)

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags


* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 3.1.8-20mdv2007.0
+ Revision: 104958
- rebuild
  bunzip2 patches
  fix install
- Import at

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 3.1.8-19mdk
- rebuild for sparc

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 3.1.8-18mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 3.1.8-17mdk
- Add parallel init stuff

* Fri Aug 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.8-16mdk
- fix buildrequires

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.1.8-15mdk
- fix rpmlint errors (PreReq)

* Thu Aug 11 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.1.8-14mdk
- fix rpmlint errors (PreReq)

* Wed Aug 10 2005 Warly <warly@mandriva.com> 3.1.8-13mdk
- change smtpdaemon require to sendmail-command

* Mon Jan 10 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.1.8-12mdk
- BuildRequires vixie-cron for /var/spool/cron

* Thu Sep 09 2004 Pixel <pixel@mandrakesoft.com> 3.1.8-11mdk
- don't require "mailx" anymore 
  (otherwise we have at->mailx->smtpdaemon->postfix and postfix is installed by default)

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.8-10mdk
- fix buildrequires
- do parallell build

* Thu Jan 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.1.8-9mdk
- fix unpackaged files

